UMAD_STATUS(3)

NAME
umad_status - get the status of a umad buffer

SYNOPSIS
#include <infiniband/umad.h>

int umad_status(void *umad);

DESCRIPTION
umad_status() get the internal umad status field.

RETURN VALUE
After a packet is received, umad_status() returns 0 on a successful receive, or a non zero status. ETIMEDOUT means that the packet had a send-timeout indication. In this case, the transaction ID will be set to the TID of the original request.

AUTHOR

Hal Rosenstock <halr@voltaire.com>